Advertising:

Volume Control 2 PSP

From GameBrew

Volume Control 2.0
Psp2.png
General
AuthorABCanG
Last Updated2011/10/15
TypePlugins
Version2.0
LicenseMixed
Links
Download
Website

Volume Control 2.0 is a plugin that allows you to specified sound volume on the PSP, by pressing the specified button.

The plugin is based on the same concept as prior releases, all codes has been re-written and instead of setting max/min volume, you now can assign shortcut keys for multiple sound levels of your choice.

Installation

Put volcon.prx and volcon.ini in the seplugins directory on your PSP Memory Stick.

Open game.txt, vsh.txt, pops.txt in the same seplugins folder and append this line to the text files

ms0:/seplugins/volcon.prx 1

For PSP Go, add this line instead to the text files

ef0:/seplugins/volcon.prx 1

Reboot your PSP to take effect.

User guide

How to use

You can set any sound levels and assisgn buttons by editing volcon.ini.

There are 2 pre-set shortcut keys in the configuration file, follow the same format to set your custom sound levels.

#button, volume, pushtime
VOLDOWN, 0, 0.5
VOLUP+HOME, 30, 1

The 1st part of the line is the assigned buttons/key combinations of your choice.

The 2nd part is the sound volume. Value ranges between 0 and 30 (min to max).

Pushtime represents the amount of time to hold the keys in order to activate the custom sound level (specified in seconds). Value should be above 0 and it can read up to the first decimal place.

List of buttons

You can use any of the following buttons, add + for assigning key combinations.

SELECT
START
UP
RIGHT
DOWN
LEFT
LTRIGGER
RTRIGGER
TRIANGLE
CIRCLE
CROSS
SQUARE
HOME
NOTE
SCREEN
VOLUP
VOLDOWN

Controls

Volume Down - Minimum volume

Volume Up+Home - Maximum volume

Compatibility

Tested by devloper on 5.00, 5.50, 6.20TN, 6.38ME and should work on all Custom Firmware versions.

Changelog

v2.0

  • Rewrote the code.
  • The volume, buttons, and pressing time can be set freely.

v1.4

  • You can change the volume to your liking.
  • Changed the configuration file. (So please replace the configuration file).

v1.3

  • Fixed to work with 5.00, 5.50, 6.20TN (confirmed).

v1.2

  • Compatible with 6.38ME.

v1.1

  • Supports configuration files.

v1.0

  • Release.

Credits

DSi-like VolDown Plugin v01 by mascii.

iniLibrary by hiroi01.

Thanks to every developers.

External links